<template>
    <div  v-if="usuarioImg">
        <img :src="usuarioImg" alt="User Avatar" class="avatar-image" />
    </div>
</template>

<script>
import {buscarImagenDePerfilDeUnUsuario} from "@/Services/muro/MuroService.js"
export default {
    props:{
        usuario:{
        }
    },
    data(){
        return{
            usuarioImg:null
        }
    },
    async mounted(){
        try{
            let res= await buscarImagenDePerfilDeUnUsuario(this.usuario);
            this.usuarioImg=res; 
        }catch(e){
            console.log(e);
        }
    }
}
</script>

<style>
.avatar-image{
    width: 100%;
    height: 100%;
}
</style>